import { bind } from "astal";
import Brightness from "../../../../util/brightness";

const brightness = Brightness.get_default();

const BrightnessModule = () => {
    return (
        <box visible={bind(brightness, 'screenAvailable')}>
            <image iconName={"brightness-high-symbolic"}></image>
            <label label={bind(brightness, "screen").as(b => b + "%")}></label>
            <slider></slider>
        </box>
    );
};

export default {
    BrightnessModule
};
